Package com.tibco.patterns.deduplication

## Enum BatchStatus

- java.lang.Object
- - java.lang.Enum<BatchStatus>
  - - com.tibco.patterns.deduplication.BatchStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<BatchStatus>`

      public enum BatchStatus
      extends java.lang.Enum<BatchStatus>

  Possible states of a Deduplication Batch.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CREATE_FAILED` | creation failed
    `CREATED` | Batch is newly created.
    `FAILED` | Errors were encountered processing or saving the batch.
    `INTERRUPTED` | Batch is actively being searched.
    `OK` | Batch was processed successfully and all results were saved.
    `REQUEUED` | Errors were encountered processing or saving the batch.
    `SAVING` | Results are being saved.
    `SEARCH_COMPLETE` | Batch has been searched but results have not been saved.
    `SEARCHING` | Batch is actively being searched.
    `SKIPPED` | A QueryBuilderExcpetion with action SkipBatch was encountered.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getValue()` | Get the integer value of a BatchStatus
    `static BatchStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static BatchStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE_FAILED

          public static final BatchStatus CREATE_FAILED

      creation failed

    - #### CREATED

          public static final BatchStatus CREATED

      Batch is newly created.

    - #### SEARCHING

          public static final BatchStatus SEARCHING

      Batch is actively being searched.

    - #### INTERRUPTED

          public static final BatchStatus INTERRUPTED

      Batch is actively being searched.

    - #### SEARCH_COMPLETE

          public static final BatchStatus SEARCH_COMPLETE

      Batch has been searched but results have not been saved.

    - #### SAVING

          public static final BatchStatus SAVING

      Results are being saved.

    - #### FAILED

          public static final BatchStatus FAILED

      Errors were encountered processing or saving the batch.

    - #### REQUEUED

          public static final BatchStatus REQUEUED

      Errors were encountered processing or saving the batch.

    - #### SKIPPED

          public static final BatchStatus SKIPPED

      A QueryBuilderExcpetion with action SkipBatch was encountered.

    - #### OK

          public static final BatchStatus OK

      Batch was processed successfully and all results were saved.

  - ### Method Detail

    - #### values

          public static BatchStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BatchStatus c : BatchStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BatchStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Get the integer value of a BatchStatus
      Returns:
        the value of this BatchStatus as an integer.